EaserixDocs
DevelopersAPI referenceCronCrunchProjects

Star or unstar a project

Any project the caller can read may be favorited. Favorites sort to the top of project pickers for that user.

View as Markdown
PUT
/v1/projects/{id}/favorite
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/favorite" \  -H "Content-Type: application/json" \  -d '{    "favorite": true  }'
{  "project": {    "id": "string",    "name": "string",    "color": "string",    "hourlyRate": 0,    "billable": true,    "clientId": "string",    "clientName": "string",    "created": "2019-08-24T14:15:22Z",    "visibility": "string",    "ownerId": "string",    "budgetSeconds": 0,    "isFavorite": true  }}